Bug 328244 - Swap file handling options
Summary: Swap file handling options
Status: RESOLVED FIXED
Alias: None
Product: kate
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: KWrite Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-11-30 10:31 UTC by David Bobb
Modified: 2013-12-28 14:52 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Bobb 2013-11-30 10:31:16 UTC
The current implementation of swap files stores the files directly in the folder that the document is stored in. This creates problems with syncronizing the file to cloud storage services or even backup services, including log file and notification spamming as well as additional network i/o which may not be wanted. 

My first suggestion is to allow the swap file to write to be written the local tmpfs instead of the current folder. 

My second solution is to change the checkbox element 'Disable Swapfile Syncing' to something like this:

Periodic Backups: [ Do Not Use | Back up to document folder | Back up to temporary file system ]
Backup Interval: # minutes (Precise to 0.1 minutes)

Reproducible: Always
Comment 1 Felix W 2013-12-04 11:12:16 UTC
+1
Known problem. See also bug #321135 and bug #258897 ...
Comment 2 Michal Humpula 2013-12-28 14:48:29 UTC
Git commit 5bc16f7edf1fda6db33cdd8cbe96122f595c510b by Michal Humpula.
Committed on 23/12/2013 at 17:59.
Pushed by michalhumpula into branch 'frameworks'.

add posibility to change swap file location

REVIEW: 114229
Related: bug 321135

M  +67   -4    part/dialogs/katedialogs.cpp
M  +1    -0    part/dialogs/katedialogs.h
M  +132  -26   part/dialogs/opensaveconfigadvwidget.ui
M  +4    -3    part/document/katedocument.cpp
M  +21   -8    part/swapfile/kateswapfile.cpp
M  +73   -14   part/utils/kateconfig.cpp
M  +22   -4    part/utils/kateconfig.h

http://commits.kde.org/kate/5bc16f7edf1fda6db33cdd8cbe96122f595c510b